aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.UpdateUser

Synopsis

- data UpdateUser = UpdateUser {
  - uuUserName :: Text
  - uuNewUserName :: Maybe Text
  - uuNewPath :: Maybe Text
  }
- data UpdateUserResponse = UpdateUserResponse

# Documentation

data UpdateUser #

Updates the name and/or path of the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateUser.html

Constructors

UpdateUser |

Fields

- uuUserName :: Text

  Name of the user to be updated.

- uuNewUserName :: Maybe Text

  New name for the user.

- uuNewPath :: Maybe Text

  New path to which the user will be moved.

#### Instances

Instances details

SignQuery UpdateUser # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type ServiceConfiguration UpdateUser |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ServiceConfiguration UpdateUser = IamConfiguration

Methods

signQuery :: UpdateUser -> ServiceConfiguration UpdateUser queryType -> SignatureData -> SignedQuery #

Show UpdateUser # |
Instance details Defined in Aws.Iam.Commands.UpdateUser Methods showsPrec :: Int -> UpdateUser -> ShowS # show :: UpdateUser -> String # showList :: [UpdateUser] -> ShowS #
Eq UpdateUser # |
Instance details Defined in Aws.Iam.Commands.UpdateUser Methods (==) :: UpdateUser -> UpdateUser -> Bool # (/=) :: UpdateUser -> UpdateUser -> Bool #
Ord UpdateUser # |
Instance details Defined in Aws.Iam.Commands.UpdateUser Methods compare :: UpdateUser -> UpdateUser -> Ordering # (<) :: UpdateUser -> UpdateUser -> Bool # (<=) :: UpdateUser -> UpdateUser -> Bool # (>) :: UpdateUser -> UpdateUser -> Bool # (>=) :: UpdateUser -> UpdateUser -> Bool # max :: UpdateUser -> UpdateUser -> UpdateUser # min :: UpdateUser -> UpdateUser -> UpdateUser #
ResponseConsumer UpdateUser UpdateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type ResponseMetadata UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ResponseMetadata UpdateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateUser -> IORef (ResponseMetadata UpdateUserResponse) -> HTTPResponseConsumer UpdateUserResponse #

Transaction UpdateUser UpdateUserResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateUser
type ServiceConfiguration UpdateUser # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ServiceConfiguration UpdateUser = IamConfiguration

data UpdateUserResponse #

Constructors

UpdateUserResponse |

#### Instances

Instances details

AsMemoryResponse UpdateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type MemoryResponse UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type MemoryResponse UpdateUserResponse = UpdateUserResponse

Methods

loadToMemory :: UpdateUserResponse -> ResourceT IO (MemoryResponse UpdateUserResponse) #

Show UpdateUserResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateUser Methods showsPrec :: Int -> UpdateUserResponse -> ShowS # show :: UpdateUserResponse -> String # showList :: [UpdateUserResponse] -> ShowS #
Eq UpdateUserResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateUser Methods (==) :: UpdateUserResponse -> UpdateUserResponse -> Bool # (/=) :: UpdateUserResponse -> UpdateUserResponse -> Bool #
Ord UpdateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Methods

compare :: UpdateUserResponse -> UpdateUserResponse -> Ordering #

(<) :: UpdateUserResponse -> UpdateUserResponse -> Bool #

(<=) :: UpdateUserResponse -> UpdateUserResponse -> Bool #

(>) :: UpdateUserResponse -> UpdateUserResponse -> Bool #

(>=) :: UpdateUserResponse -> UpdateUserResponse -> Bool #

max :: UpdateUserResponse -> UpdateUserResponse -> UpdateUserResponse #

min :: UpdateUserResponse -> UpdateUserResponse -> UpdateUserResponse #

ResponseConsumer UpdateUser UpdateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type ResponseMetadata UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ResponseMetadata UpdateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateUser -> IORef (ResponseMetadata UpdateUserResponse) -> HTTPResponseConsumer UpdateUserResponse #

Transaction UpdateUser UpdateUserResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateUser
type MemoryResponse UpdateUserResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type MemoryResponse UpdateUserResponse = UpdateUserResponse
type ResponseMetadata UpdateUserResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ResponseMetadata UpdateUserResponse = IamMetadata